cancel
Showing results for 
Search instead for 
Did you mean: 
cancel

Nexus 7010 FAB-2 EPLD Upgrade Fail

184
Views
0
Helpful
0
Comments

We got FAB-2 (N7K-C7010-FAB-2) with quite an old EPLD .004, and decided to upgrade to a newer version to ensure it operates properly in SUP2 and F3 environment. However the upgrade procedure keeps failing with the messages below. Should I assume the hardware is faulty ?  

switch# install xbar-module 1 epld bootflash:n7000-s1-epld.6.0.1.img
Copy complete, now saving to disk (please wait)...
Retrieving EPLD versions... Please wait.
Images will be upgraded according to following table:
Module  Type           EPLD      Running-Version   New-Version  Upg-Required
------  ----  -------------      ---------------   -----------  ------------
     1  Xbar  Power Manager              0.004       0.006          Yes
Xbar Module 1 will be powered down.
2008 Dec 28 21:16:06 switch %$ VDC-1 %$ %PLATFORM-2-XBAR_DETECT: Xbar 1 detected (Serial number JAF1522AARL)
2 EPLD upgrade failed. Exiting..
 Failure reason: Programming failed while upgrading the FPGA. (Error Number : 1)

Images will be upgraded according to following table:
Module  Type           EPLD      Running-Version   New-Version  Upg-Required
------  ----  -------------      ---------------   -----------  ------------
     6   SUP  Power Manager              3.009       3.009           No
     6   SUP  IO                         3.028       3.028           No
     6   SUP  Inband                     1.008       1.008           No
     6   SUP  Local Bus CPLD             3.000       3.000           No
     6   SUP  CMP CPLD                   6.000       6.000           No
     1  Xbar  Power Manager              0.004       0.006          Yes
     1   FAN  Fan Controller (1)         0.007       0.007           No
     1   FAN  Fan Controller (2)         0.007       0.007           No
     2   FAN  Fan Controller (1)         0.007       0.007           No
     2   FAN  Fan Controller (2)         0.007       0.007           No
     3   FAN  Fan Controller (1)         0.007       0.007           No
     3   FAN  Fan Controller (2)         0.007       0.007           No
     4   FAN  Fan Controller (1)         0.007       0.007           No
     4   FAN  Fan Controller (2)         0.007       0.007           No
The above modules require upgrade.
Starting Xbar Module 1 EPLD Upgrade
2008 Dec 28 21:18:32 switch %$ VDC-1 %$ %PLATFORM-2-XBAR_DETECT: Xbar 1 detected (Serial number JAF1522AARL)
2 EPLD upgrade failed. Exiting..
 Failure reason: Programming failed while upgrading the FPGA. (Error Number : 1)
EPLD Upgrade Completed.
Module    Type  Upgrade-Result
------    ----  --------------
     1    Xbar          Failed
CreatePlease to create content
Content for Community-Ad
July's Community Spotlight Awards